Bug 149193 - patch for a couple of bugs, some improvements
patch for a couple of bugs, some improvements
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-20 14:24 EST by Ulrich Drepper
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.21.18-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 19:36:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the mentioned patch (5.75 KB, patch)
2005-02-20 14:24 EST, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2005-02-20 14:24:29 EST
Description of problem:
I'll attach a patch which fixes two real bugs, adds unconditionally compiler
flags to get more warnings, fix the resulting warnings, and optimize a few
binaries by removing unnecessary DSO references.

In detail:

~ The Makefiles should use the -Wall option even if compiled in beehive
~ Add -W, too
~ use -Werror when used outside of beehive.  This could also be used unconditionally
~ setfiles/setfiles.c: fix resulting warning
~ restorecon/restorecon.c: Likewise
~ run_init/open_init_pty.c: argc hasn't been checked, the program would crash if
called without parameters.  ignore the return value of nice properly.
~ run_init: don't link with -ldl lutil
~ load_policy: that's the bad bug.  pointer to unsigned int is passed, size_t is
written to.  fails on 64-bit archs
~ sestatus: signed vs unsigned problem
~ newrole: don't link with -ldl

Version-Release number of selected component (if applicable):
policycoreutils-1.21.18-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ulrich Drepper 2005-02-20 14:24:29 EST
Created attachment 111242 [details]
the mentioned patch
Comment 2 Daniel Walsh 2005-02-21 09:30:33 EST
Applied patch in policycoreutils-1.21.18-2

Thanks.

Note You need to log in before you can comment on or make changes to this bug.